Subject: Re: Emacs 25 from GIT build issue under Ubuntu 16.10

From: Paul Eggert <[email-masked]>
Date: Sat, 15 Oct 2016 23:51:43 -0500

On 10/15/2016 12:56 AM, Eli Zaretskii wrote:
> This is bug#24682, please follow up there. 

configure.ac on emacs-25 knows about this problem, and attempts to build 
Emacs with -nopie. Please investigate why this is not working on Ubuntu 
16.10. I assume './configure' is outputting a string like "checking 
whether gcc accepts -nopie... no"; why is that? Try looking in 
config.log near the string "accepts -nopie".

As noted in configure.ac, this problem has occurred before; see 
Bug#18784 and Bug#20338. Possibly we merely need to tweak configure.ac 
to pacify Ubuntu's variant of GCC.